dpkg-name(1)

NOM
dpkg-name - redonne aux paquets Debian leur nom complet

SYNOPSIS
dpkg-name [option...] [--] fichier...

DESCRIPTION

Cette page de manuel documente le programme dpkg-name qui fournit une façon simple de redonner aux paquets Debian leur nom complet. Ce nom consiste en une chaîne « paquet_version_architecture.type_de_paquet » telle qu'elle est indiquée dans le fichier « control » du paquet. La partie version du nom est composée d'informations sur la version originelle qui peuvent ou non être suivies d'un trait d'union et d'informations sur la révision. La partie type_de_paquet provient de ce champ s'il existe. La valeur par défaut est deb.

OPTIONS

-a, --no-architecture
    Le nom du fichier n'aura pas l'information sur l'architecture.

-k, --symlink
    Faire un lien symbolique plutôt qu'une création de fichier.

-o, --overwrite
    Remplace des fichiers existants s'ils ont le même nom que le fichier de destination.

-s, --subdir [rep]
    Met les fichiers dans un sous-répertoire. Si le répertoire donné en paramètre existe, les fichiers sont déplacés dans ce répertoire ; sinon le répertoire cible, extrait du champ « section » que contient la partie de contrôle du paquet, sera « unstable/binary-architecture/section ». Quand aucune information sur la section n'est trouvée dans le fichier « control », la section est supposée être « no-section ». Dans ce cas, ainsi que si la section est « non-free » ou « contrib », le répertoire cible est « section/binary-architecture ». Le champ « section » est facultatif ; aussi beaucoup de paquets sont dans la zone « no-section ». Utilisez cette option avec soin : elle est compliquée.

-c, --create-dir
    On peut utiliser cette option avec l'option -s. Quand un répertoire cible n'est pas trouvé, il est créé automatiquement. Utilisez cette option avec soin.

-?, --help
    Affiche un message d'aide puis quitte.

-v, --version
    Affiche le numéro de version puis quitte.

BOGUES
Certains paquets ne respectent pas l'organisation paquet_version_architecture.deb. Les paquets traités par dpkg-name la respectent. Cela n'a pas de conséquence sur la façon dont dselect(1) ou dpkg(1) installent les paquets, mais il se peut que d'autres systèmes d'installation aient besoin de cette organisation.

EXEMPLES

dpkg-name bar-foo.deb
    Le nom du fichier « bar-foo.deb » devient « bar-foo_1.0-2_i386.deb » ou quelque chose de similaire suivant les renseignements que contient la partie de contrôle de « bar-foo.deb ».

find /root/debian/ -name '*.deb' | xargs -n 1 dpkg-name -a
    Cette commande dpkg-name redonne leur nom complet à tous les fichiers qui se trouvent dans le répertoire /root/debian et ses sous-répertoires et qui possèdent une extension « deb », mais supprime l'information sur l'architecture.

find -name '*.deb' | xargs -n 1 dpkg-name -a -o -s -c
    Ne faites pas ça ! L'archive sera complètement gâchée par des paquets qui ne possèdent pas d'informations sur la section. Ne faites pas ça !

dpkg-deb --build debian-tmp && dpkg-name -o -s .. debian-tmp.deb
    On peut se servir de cette commande lors de la construction d'un nouveau paquet.

VOIR AUSSI
deb(5), deb-control(5), dpkg(1), dpkg-deb(1), find(1), xargs(1).

TRADUCTION
Ariel VARDI <ariel.vardi@freesbee.fr>, 2002. Philippe Batailler, 2006. Nicolas François, 2006. Veuillez signaler toute erreur à <debian-l10n-french@lists.debian.org>.